<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.Evaluation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html">Evaluation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_evaluation_1_1_evaluation-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.Evaluation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Entry class which interprets the command line arguments and calls corresponding functions.  
 <a href="class_semantic_search_evaluation_1_1_evaluation.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html">Options</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to define valid options, and to receive the parsed options.  <a href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abb275bbe01879737cf2c34e8ed69a5d8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#abb275bbe01879737cf2c34e8ed69a5d8">Main</a> (string[] args)</td></tr>
<tr class="separator:abb275bbe01879737cf2c34e8ed69a5d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:acc9694acc11dfd4d5cd43ffbf7bafc03"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#acc9694acc11dfd4d5cd43ffbf7bafc03">SMALL_COMPARISON</a> = &quot;small&quot;</td></tr>
<tr class="separator:acc9694acc11dfd4d5cd43ffbf7bafc03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11e6429081407936e647fb9e9d49a2a1"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#a11e6429081407936e647fb9e9d49a2a1">LARGE_COMPARISON</a> = &quot;large&quot;</td></tr>
<tr class="separator:a11e6429081407936e647fb9e9d49a2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a127ec725ee583c8086c292ae8ab5ad55"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#a127ec725ee583c8086c292ae8ab5ad55">EMPTY</a> = &quot;empty&quot;</td></tr>
<tr class="separator:a127ec725ee583c8086c292ae8ab5ad55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ddeac45d3408842804fc7fd432d09f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#aa6ddeac45d3408842804fc7fd432d09f">ELASTICSEARCH</a> = &quot;elasticsearch&quot;</td></tr>
<tr class="separator:aa6ddeac45d3408842804fc7fd432d09f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3caad8e6613ca5e26bf0d57e03e8b812"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html#a3caad8e6613ca5e26bf0d57e03e8b812">CREATE_METADATA_RECORD</a> = &quot;create&quot;</td></tr>
<tr class="separator:a3caad8e6613ca5e26bf0d57e03e8b812"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Entry class which interprets the command line arguments and calls corresponding functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abb275bbe01879737cf2c34e8ed69a5d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb275bbe01879737cf2c34e8ed69a5d8">&#9670;&nbsp;</a></span>Main()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.Evaluation.Main </td>
          <td>(</td>
          <td class="paramtype">string[]&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3caad8e6613ca5e26bf0d57e03e8b812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3caad8e6613ca5e26bf0d57e03e8b812">&#9670;&nbsp;</a></span>CREATE_METADATA_RECORD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.Evaluation.CREATE_METADATA_RECORD = &quot;create&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6ddeac45d3408842804fc7fd432d09f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6ddeac45d3408842804fc7fd432d09f">&#9670;&nbsp;</a></span>ELASTICSEARCH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.Evaluation.ELASTICSEARCH = &quot;elasticsearch&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a127ec725ee583c8086c292ae8ab5ad55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a127ec725ee583c8086c292ae8ab5ad55">&#9670;&nbsp;</a></span>EMPTY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.Evaluation.EMPTY = &quot;empty&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a11e6429081407936e647fb9e9d49a2a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11e6429081407936e647fb9e9d49a2a1">&#9670;&nbsp;</a></span>LARGE_COMPARISON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.Evaluation.LARGE_COMPARISON = &quot;large&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acc9694acc11dfd4d5cd43ffbf7bafc03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc9694acc11dfd4d5cd43ffbf7bafc03">&#9670;&nbsp;</a></span>SMALL_COMPARISON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.Evaluation.SMALL_COMPARISON = &quot;small&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_evaluation_8cs.html">Evaluation.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
